Project

General

Profile

Bug #16448

Tor Launcher: deal with Firefox 68esr removing support for XUL/XPCOM extensions

Added by intrigeri 8 months ago. Updated 10 days ago.

Status:
Rejected
Priority:
Elevated
Assignee:
-
Category:
Tor configuration
Target version:
Start date:
02/08/2019
Due date:
% Done:

0%

Feature Branch:
Type of work:
Code
Blueprint:
Starter:
Affected tool:
Tor Launcher

Description

Following up on #15709, once Tor Browser is ported to Firefox 68esr, we probably won't be able to run Tor Launcher as a XUL app, since XUL/XPCOM extensions won't be supported by Firefox anymore.

So we'll probably need to replace Tor Launcher with something else entirely.


Related issues

Related to Tails - Bug #15709: Deal with Tor Launcher being integrated into Tor Browser 9.0 and Firefox 68esr possibly removing support for XUL/XPCOM extensions Resolved 07/03/2018
Related to Tails - Feature #15144: Consider migrating from Tor Launcher to anon-connection-wizard Confirmed 01/03/2018

History

#1 Updated by intrigeri 8 months ago

#2 Updated by intrigeri 8 months ago

Next step: once Firefox 68 is out, try running Tor Launcher as a XUL app with it, to confirm we indeed have a problem to solve.

#3 Updated by intrigeri 8 months ago

  • Related to Bug #15709: Deal with Tor Launcher being integrated into Tor Browser 9.0 and Firefox 68esr possibly removing support for XUL/XPCOM extensions added

#4 Updated by intrigeri 8 months ago

  • Related to Feature #15144: Consider migrating from Tor Launcher to anon-connection-wizard added

#5 Updated by intrigeri 7 months ago

#6 Updated by intrigeri 7 months ago

  • Status changed from Confirmed to Rejected

#7 Updated by intrigeri 10 days ago

  • Target version changed from Tails_3.17 to Tails_4.0

Also available in: Atom PDF